# $Id: smeserver-denyhosts.spec,v 1.22 2009/03/03 21:36:58 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-mailalias
%define name smeserver-mailalias
%define version 0.1
%define release 5
Name:                   %{name}
Version: 		%{version}
Release: 		%{release}%{?dist}
License: 		GPL
Group: 			Applications/System
Source: 		%{name}-%{version}.tgz
Patch0: smeserver-mailalias-0.1-translation.patch
Patch1: smeserver-mailalias-0.1-locale-2018-12-14.patch
Patch2: smeserver-mailalias-0.1.createlinks.patch
Patch3: smeserver-mailalias-0.1-locale-2019-12-07.patch
Url: 			http://smeserver.pialasse.com/
BuildRoot:              /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires:          e-smith-devtools >= 1.13.1-03
Requires:               smeserver-release >= 9.0
Requires:               e-smith-formmagick >= 1.4.0-12

%description
SME Server panel in order to manage email alias to external email without creating a user 
on the server

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post


%changelog
* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 0.1-5.sme
- apply locale 2019-12-07 patch

* Sun Dec 16 2018 Terry Fage <tfage@yahoo.com.au> 0.1-4
- fix wrong path and file name in createlinks [SME: 10518]

* Fri Dec 14 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-3
- apply locale patch 2018-12-14
- bump required SME release version

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- improve translation strings

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- fix wrong pm path [SME: 10518]

* Mon Feb 12 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-0.3.sme
- first import in SME contribs repo and cvs

* Tue Sep 27 2011 JP PIALASSE tests@pialasse.com  0.1-0.2
- Formagick mailalias.pm added in archive
- beta release
- still need default db

* Tue Sep 27 2011 JP PIALASSE tests@pialasse.com  0.1-0.1
- first package for smeserver-mailalias
- panel for server-manager
- still need to create default db
- beta release
